# DependencyVerificationMode

enum DependencyVerificationMode

The different dependency verification modes. By default, Gradle will use the strict mode, which means that it will verify dependencies and fail as soon as possible, to avoid as much compromising of the builds as possible. There are, however, two additional modes which can be used: the lenient one will collect all errors but only log them to the CLI. This is useful when updating the file and you want to collect as many errors as possible before failing. The last one is "off", meaning that even if verification metadata is present, Gradle will not perform any verification. This can typically be used whenever verification should only happen on CI.

#### Since

6.2

## Entries

STRICT
Link copied to clipboard
STRICT
LENIENT
Link copied to clipboard
LENIENT
OFF
Link copied to clipboard
OFF

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): DependencyVerificationMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<DependencyVerificationMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.